package com.ruoyi.reportManagement.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

public class SingleAnalysisFeesExcel {
    /** 序号 */
    private Integer lineNo;

    /** 日期 */
    @Excel(name = "日期")
    private String createTime;

    /** 作业类型 */
    @Excel(name = "作业类型")
    private String fBusinessType;

    /** 费用 */
    @Excel(name = "费用")
    private String fFeeid;

    /** 数量 */
    @Excel(name = "数量")
    private Integer fQty;

    /** 单价 */
    @Excel(name = "单价")
    private BigDecimal fUnitprice;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal fAmount;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;

    public Integer getLineNo() {
        return lineNo;
    }

    public void setLineNo(Integer lineNo) {
        this.lineNo = lineNo;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getfBusinessType() {
        return fBusinessType;
    }

    public void setfBusinessType(String fBusinessType) {
        this.fBusinessType = fBusinessType;
    }

    public String getfFeeid() {
        return fFeeid;
    }

    public void setfFeeid(String fFeeid) {
        this.fFeeid = fFeeid;
    }

    public Integer getfQty() {
        return fQty;
    }

    public void setfQty(Integer fQty) {
        this.fQty = fQty;
    }

    public BigDecimal getfUnitprice() {
        return fUnitprice;
    }

    public void setfUnitprice(BigDecimal fUnitprice) {
        this.fUnitprice = fUnitprice;
    }

    public BigDecimal getfAmount() {
        return fAmount;
    }

    public void setfAmount(BigDecimal fAmount) {
        this.fAmount = fAmount;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "SingleAnalysisFeesExcel{" +
                "lineNo=" + lineNo +
                ", createTime=" + createTime +
                ", fBusinessType='" + fBusinessType + '\'' +
                ", fFeeid='" + fFeeid + '\'' +
                ", fQty=" + fQty +
                ", fUnitprice=" + fUnitprice +
                ", fAmount=" + fAmount +
                ", remark='" + remark + '\'' +
                '}';
    }
}
